<!DOCTYPE html>
<html lang="es">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Google Sign In</title>
    <script src="https://apis.google.com/js/platform.js" async defer></script>
    <meta
      name="google-signin-client_id"
      content="202685085913-0rqhdc7pq26rqjbmmkru0e2as20lg7t3.apps.googleusercontent.com"
    />
  </head>
  <body>
    <!-- <img
      src="http://localhost:3000/imagen/usuarios/5fccf3b10a9df720bcbc5ca8-843.png?token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c3VhcmlvIjp7InJvbGUiOiJBRE1JTl9ST0xFIiwiZXN0YWRvIjp0cnVlLCJnb29nbGUiOmZhbHNlLCJfaWQiOiI1ZmNjZjQ1NjBhOWRmNzIwYmNiYzVjYjIiLCJub21icmUiOiJUZXN0IDExIiwiZW1haWwiOiJ0ZXN0MTFAZ21haWwuY29tIiwiX192IjowfSwiaWF0IjoxNjA3ODI1NDExLCJleHAiOjE2MDc5OTgyMTF9.LXY2tAe6mCzQ5zkhmjmA15yjtelblSyP1IwnqjvIXkQ"
      alt=""
    /> -->

    <div class="g-signin2" data-onsuccess="onSignIn"></div>
    <a href="#" onclick="signOut();">Sign out</a>
    <script>
      function signOut() {
        var auth2 = gapi.auth2.getAuthInstance();
        auth2.signOut().then(function () {
          console.log("User signed out.");
        });
      }
    </script>
    <script>
      function onSignIn(googleUser) {
        var profile = googleUser.getBasicProfile();
        console.log("ID: " + profile.getId()); // Do not send to your backend! Use an ID token instead.
        console.log("Name: " + profile.getName());
        console.log("Image URL: " + profile.getImageUrl());
        console.log("Email: " + profile.getEmail());
        var id_token = googleUser.getAuthResponse().id_token; // This is null if the 'email' scope is not present.

        var xhr = new XMLHttpRequest();
        xhr.open("POST", "/google");
        xhr.setRequestHeader(
          "Content-Type",
          "application/x-www-form-urlencoded"
        );
        xhr.onload = function () {
          console.log("Signed in as: " + xhr.responseText);
        };
        xhr.send("idtoken=" + id_token);
      }
    </script>
  </body>
</html>
